jQuery.sap.declare("sas.risk.mrm.util.ContentDialogUtil");

sas.risk.mrm.util.ContentDialogUtil={
	  _buildCustomFieldsForRestPayload:function(view, cpb_data) {
	     //find the custom field names
	     var custFieldNames = [];
	     var tableFields=view.getViewData().meta.custFieldColumns;
	     for (var i = 0; i < tableFields.length; i++)
	     {
	        var field = tableFields[i];
	        custFieldNames.push(field.name);
	     }
	       
	     //find the custom fields in the ui context and grab their values
	     var customFields={};
	     for (var i = 0; i < custFieldNames.length; i++)
	     {
	        var fieldName = custFieldNames[i];
	        if (cpb_data[fieldName.toUpperCase()] !== undefined)
	        {
	           customFields[fieldName]=cpb_data[fieldName.toUpperCase()];
	        }
	     }
	     return customFields;
	  }
}